package org.apache.bcel.generic;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.apache.bcel.generic.IFGE;
import org.apache.bcel.generic.IfInstruction;
import org.apache.bcel.generic.InstructionHandle;
import org.apache.bcel.generic.Visitor;

public class IFLT extends IfInstruction {
  IFLT() {}
  
  public IFLT(InstructionHandle target) {
    super((short)155, target);
  }
  
  public void accept(Visitor v) {
    v.visitStackConsumer(this);
    v.visitBranchInstruction(this);
    v.visitIfInstruction(this);
    v.visitIFLT(this);
  }
  
  public IfInstruction negate() {
    return new IFGE(getTarget());
  }
}
